---
- name: Download and install jenkins
  tasks:
   - name: Install java
     yum:
       name: java-1.8.0-openjdk-devel
     become: true
   - name: Add jenkins repo
     #shell: curl --silent --location http://pkg.jenkins-ci.org/redhat-stable/jenkins.repo | sudo tee /etc/yum.repos.d/je$
     yum_repository:
       baseurl: http://pkg.jenkins-ci.org/redhat-stable/jenkins.repo
       name: jenkins
       description: jenkins repo
     become: true
   - name: Add repo to system
     rpm_key:
       state: present
       key: https://jenkins-ci.org/redhat/jenkins-ci.org.key
     become: true
   - name: Install jenkins
     yum:
       name: jenkins
     become: true
   - name: Start jenkins service
     service:
       name: jenkins
       state: started
       enabled: yes
     become: true
